/*
    Author: Rolando Caldas Sanchez
    Blog: http://rolandocaldas.com/
    Google+: https://plus.google.com/+RolandoCaldasSanchez
    Linkedin: http://www.linkedin.com/in/rolandocaldas
    Twitter: https://twitter.com/rolando_caldas

    This file is part of an article:
    http://rolandocaldas.com/html5/slider-css-sin-javascript-automatico 
*/

* {
    box-sizing: border-box;
}

body {
    text-align: center;
}

input[name="slider-select-element"] {
    display: none;
}

#slider-arrows {
    margin: -10% auto 0 auto;
    width: 80%;
}

#slider-box {
    -moz-animation: autoSlider 40s infinite linear;
    -o-animation: autoSlider 40s infinite linear;
    -webkit-animation: autoSlider 40s infinite linear;
    animation: autoSlider 40s infinite linear;

    -webkit-transition: all 0.75s ease;
    -moz-transition: all 0.75s ease;
    -ms-transition: all 0.75s ease;
    -o-transition: all 0.75s ease;
    transition: all 0.75s ease;

    height: 100%;
    width: 200%; /*200% para dos imagenes, 300% para tres imagenes, 400% para tres imagenes, 700% para siete imagenes*/
}

#slider-container {
    height: 130px; 
    overflow: hidden;
    text-align: left;
    width: 100%;
}

.element-blue,
.element-green,
.element-white,
.element-red {
    min-height: 400px;
    max-height: 100%;
    width: 100%;
}

.element-blue {
    background: blue;
}

.element-green {
    background: green;
}

.element-red {
    background: red;
}

.element-white {
    background: white;
}

/* para colocar imagenes
.element-yellow {
	background-image:url(images/homeslide/b001.jpg);
}

.element-pink {
	background-image:url(images/homeslide/b002.jpg);
}

.element-blueviolet {
	background-image:url(images/homeslide/b003.jpg);
}

.element-crimson {
	background-image:url(images/homeslide/c001.jpg);
}

.element-turquoise {
	background-image:url(images/homeslide/c002.jpg);
}

.element-yellowgreen {
	background-image:url(images/homeslide/c003.jpg);
}
*/

.slider-element {
    float: left;
    width:49.9994999999999%; /* para dos imagenes*/
    /*width: 33.333%; /* para tres imagenes*/
	/*width: 24.99975%; para cuatro imagenes*/
	/*width: 16.6665%; para seis imagenes*/
	/*width: 14.2855714285714%; para siete imagenes*/
}

/* para dos imagenes */

@keyframes autoSlider {
    0% {
        margin-left: 0;
    }

    45% {
        margin-left: 0;
    }

    50% {
        margin-left: -100%;
    }

    95% {
        margin-left: -100%;
    }    

    100% {
        margin-left: 0;
    }
}

@-moz-keyframes autoSlider {
    0% {
        margin-left: 0;
    }

    45% {
        margin-left: 0;
    }

    50% {
        margin-left: -100%;
    }

    95% {
        margin-left: -100%;
    }    

    100% {
        margin-left: 0;
    }
}

@-webkit-keyframes autoSlider {
    0% {
        margin-left: 0;
    }

    45% {
        margin-left: 0;
    }

    50% {
        margin-left: -100%;
    }

    95% {
        margin-left: -100%;
    }    

    100% {
        margin-left: 0;
    }
}

/* para siete imagenes 

@keyframes autoSlider {
    0% {margin-left: 0;}
    10% {margin-left: 0;}

    15% {margin-left: -100%;}
    25% {margin-left: -100%;}

    30% {margin-left: -200%;}
    40% {margin-left: -200%;}
	
	45% {margin-left: -300%;}
    55% {margin-left: -300%;}
	
	60% {margin-left: -400%;}
    70% {margin-left: -400%;}
	
	75% {margin-left: -500%;}
    85% {margin-left: -500%;}
	
	90% {margin-left: -600%;}
    95% {margin-left: -600%;}

    100% {margin-left: 0;}	
}

@-moz-keyframes autoSlider {
    0% {margin-left: 0;}
    10% {margin-left: 0;}

    15% {margin-left: -100%;}
    25% {margin-left: -100%;}

    30% {margin-left: -200%;}
    40% {margin-left: -200%;}
	
	45% {margin-left: -300%;}
    55% {margin-left: -300%;}
	
	60% {margin-left: -400%;}
    70% {margin-left: -400%;}
	
	75% {margin-left: -500%;}
    85% {margin-left: -500%;}
	
	90% {margin-left: -600%;}
    95% {margin-left: -600%;}

    100% {margin-left: 0;}	
}

@-webkit-keyframes autoSlider {
    0% {margin-left: 0;}
    10% {margin-left: 0;}

    15% {margin-left: -100%;}
    25% {margin-left: -100%;}

    30% {margin-left: -200%;}
    40% {margin-left: -200%;}
	
	45% {margin-left: -300%;}
    55% {margin-left: -300%;}
	
	60% {margin-left: -400%;}
    70% {margin-left: -400%;}
	
	75% {margin-left: -500%;}
    85% {margin-left: -500%;}
	
	90% {margin-left: -600%;}
    95% {margin-left: -600%;}

    100% {margin-left: 0;}	
}

 para cuatro imagenes

@keyframes autoSlider {
    0% {margin-left: 0;}
    20% {margin-left: 0;}

    25% {margin-left: -100%;}
    45% {margin-left: -100%;}

    50% {margin-left: -200%;}
    70% {margin-left: -200%;}
	
	75% {margin-left: -300%;}
    95% {margin-left: -300%;}

    100% {margin-left: 0;}	
}

@-moz-keyframes autoSlider {
    0% {margin-left: 0;}
    20% {margin-left: 0;}

    25% {margin-left: -100%;}
    45% {margin-left: -100%;}

    50% {margin-left: -200%;}
    70% {margin-left: -200%;}
	
	75% {margin-left: -300%;}
    95% {margin-left: -300%;}

    100% {margin-left: 0;}	
}

@-webkit-keyframes autoSlider {
    0% {margin-left: 0;}
    20% {margin-left: 0;}

    25% {margin-left: -100%;}
    45% {margin-left: -100%;}

    50% {margin-left: -200%;}
    70% {margin-left: -200%;}
	
	75% {margin-left: -300%;}
    95% {margin-left: -300%;}

    100% {margin-left: 0;}	
}


 para tres imagenes 

@keyframes autoSlider {
    0% {
        margin-left: 0;
    }

    30% {
        margin-left: 0;
    }

    35% {
        margin-left: -100%;
    }

    65% {
        margin-left: -100%;
    }

    70% {
        margin-left: -200%;
    }

    95% {
        margin-left: -200%;
    }

    100% {
        margin-left: 0;
    }
}

@-moz-keyframes autoSlider {
    0% {
        margin-left: 0;
    }

    30% {
        margin-left: 0;
    }

    35% {
        margin-left: -100%;
    }

    65% {
        margin-left: -100%;
    }

    70% {
        margin-left: -200%;
    }

    95% {
        margin-left: -200%;
    }

    100% {
        margin-left: 0;
    }
}

@-webkit-keyframes autoSlider {
    0% {
        margin-left: 0;
    }

    30% {
        margin-left: 0;
    }

    35% {
        margin-left: -100%;
    }

    65% {
        margin-left: -100%;
    }

    70% {
        margin-left: -200%;
    }

    95% {
        margin-left: -200%;
    }

    100% {
        margin-left: 0;
    }
}
*/

